import { login_manager } from "./login_manager.js";
import { request } from "./request.js";
import { bool_response } from "./bool_response.js";

export class delete_request extends request {
    #product

    constructor(product) {
        super();
        this.#product = product;
    }

    get _response() {
        return bool_response;
    }
    
    get data() {
        return {
            "apikey": this._apikey,
        };
    }

    get url() {
        return "/product/barcode/" + this.#product.barcode;
    }

    get method() {
        return "DELETE";
    }
}
